doc: fix incorrect reference to xsd_compliant option